<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('variantes', function (Blueprint $table): void {
            $table->index(['catalog_item_id', 'event_date_id']);
        });

        Schema::table('variantes', function (Blueprint $table): void {
            $table->dropUnique(['catalog_item_id', 'event_date_id']);
        });
    }

    public function down(): void
    {
        Schema::table('variantes', function (Blueprint $table): void {
            $table->unique(['catalog_item_id', 'event_date_id']);
        });

        Schema::table('variantes', function (Blueprint $table): void {
            $table->dropIndex(['catalog_item_id', 'event_date_id']);
        });
    }
};
